#{extends 'borderNG.html' /}
<div class="breadcrumb">&{'panitia.daftarpokja'}</div>
<div class="content">
	#{alert/}
    <div class="pull-right">
    #{form @admin.PanitiaCtr.index(), class:'form-horizontal'}
        <div class="form-group">
            <label class="col-lg-6 control-label">&{'pegawai.tahun_kepanitiaan'}</label>
            <div class="col-lg-6">
                #{selectTahun 'tahun', value:tahun, autoSubmit:true /}
            </div>
        </div>
    #{/form}
    </div>
    <div class="clearfix"></div>
    <table id="tblPanitia" class="table table-sm">
        <thead>
        <tr>
            <th class="text-center" width="10px"><input type="checkbox" class="checkall"/></th>
            <th>&{'panitia.namapokja'}</th>
            <th>&{'panitia.sk'}</th>
            <th>&{'panitia.status'}</th>
            <th width="30"> &{'panitia.anggota'}</th>
        </tr>
        </thead>
        <tbody>
        </tbody>
    </table>
    #{if active_user.kuppbj}
        #{form @admin.PanitiaCtr.hapus(), method:'POST', id:'formHapus'}
        #{addButton action:@admin.PanitiaCtr.edit() /}
        #{newDeleteButton /}
        #{/form}
    #{/if}
</div>

#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
<link href="https://cdn.datatables.net/select/1.3.1/css/select.dataTables.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/select/1.3.1/js/dataTables.select.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/dataTables.checkboxes.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript" src="#{assets '/js/delete-confirm.js'/}"></script>
<script type="text/javascript">
    var panitiaEdit = #{jsRoute @admin.PanitiaCtr.edit(':id') /};
    $("#tblPanitia").dataTable({
        language: {
                "sLengthMenu":   "&{'menu.slengthmenu'} _MENU_ data",
                processing:   "&{'menu.processing'}",
                "sSearch":       "&{'menu.ssearch'}",
                "sInfo":         "&{'menu.sinfo1'} _START_ &{'menu.sinfo2'} _END_ &{'menu.sinfo3'} _TOTAL_ data",
                "sInfoEmpty":    "&{'menu.sinfo1'} 0 &{'menu.sinfo2'} 0 &{'menu.sinfo3'} 0 data"
        },
        order: [[0, "desc"]],
        ajax: "@{DataTableCtr.panitia(tahun)}",
        columnDefs: [{
                targets: 0, searchable : false,
                render: function(data, type, row, meta){
                    if(type === 'display'){
                        data = '<div class="checkbox"><input type="checkbox" class="dt-checkboxes"><label></label></div>';
                    }
                    row[1] = "<a href='" + panitiaEdit.url({id: row[0]}) + "'>" + row[1] + "</a>";
                    return data;
                },
                checkboxes: { selectRow: true,  selectAllRender: '<div class="checkbox"><input type="checkbox" class="dt-checkboxes"><label></label></div>'}
          },{
            targets: 3, searchable : false,
            render: function(data, type, row, meta){
                    return row[3] == "-1" ? "Aktif" : "Non Aktif";
             }
          }],
        select: 'multi',
        order: [[ 1, "desc"]]
    });
    $('#tblPanitia_filter input').unbind();
    $('#tblPanitia_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
         }
    });
    $('#formHapus').on('submit', function(e){
         var $form = $(this);
         var selected = table.rows( { selected: true } ).data();
         selected.each(function(res){
             if(!(res[0] === null || res[0] === '')) {
                 $form.append($('<input>').attr('type', 'hidden').attr('name', 'chkPanitia').val(res[0]));
             }
         });
     });
</script>
#{/set}

